Page MenuHomePhabricator

Enable Accountcreator and Filemover groups on Urdu Wikipedia
Closed, ResolvedPublic

Description

Community discussion. @hindustanilanguage, could you please follow up and tell us who should be able to assign and remove these rights? Thanks

Event Timeline

Restricted Application added subscribers: Zppix, JEumerus, Matanya, Aklapper. · View Herald TranscriptJun 15 2016, 3:06 PM
NahidSultan triaged this task as Normal priority.Jun 15 2016, 3:06 PM
Luke081515 added a subscriber: Luke081515.

I'm going to prepare the patch.

Restricted Application added a project: User-Luke081515. · View Herald TranscriptJun 15 2016, 3:07 PM

This allotment and revocation of these rights should be the privilege of the admins - just as the case of Rollback rights group we have on our Wiki.

@NahidSultan, @hindustanilanguage how do you define this rights? Like this:
Accountcreators:

  • Just give the rights to assign and remove this group to admins

Reviewers:

  • ???

Filemover:

  • movefile
  • suppressredirect?

I need a bit more input.

@NahidSultan, @hindustanilanguage how do you define this rights? Like this:
Accountcreators:

  • Just give the rights to assign and remove this group to admins

Reviewers:

  • ???

Filemover:

  • movefile
  • suppressredirect?

I need a bit more input.

@hindustanilanguage can confirm. Though my guess is that they want those exactly like enwp.

Nahid is 100% correct.

Change 294652 had a related patch set uploaded (by Luke081515):
Two permission changes at urwiki

https://gerrit.wikimedia.org/r/294652

My patch handles only the accountcreator and filemover part. For having reviewers, you need the extension flagged revs. I created for T137937 that.

Terminology

Accountcreator - کھاتہ ساز
Reviewer - نظرثانی کنندہ
Filemover - محرک تصاویر

I tried to test if user rights could be modified now. I did not find any change from the past. Please check: https://postimg.org/image/by3b2fbl3/ (Screenshot without any change) !

This is because this change needs to be deplozed. So if you don't see any change, it's fine :). You must wait. This will be done in a week I think.

Luke081515 renamed this task from Enable Accountcreators, Reviewers and Filemover groups on Urdu Wikipedia to Enable Accountcreators and Filemover groups on Urdu Wikipedia.Jun 16 2016, 10:07 PM
Luke081515 renamed this task from Enable Accountcreators and Filemover groups on Urdu Wikipedia to Enable Accountcreator and Filemover groups on Urdu Wikipedia.

The change is scheduled for SWAT in about one hour. I will write a your wiki, when the change is deployed.

Change 294652 merged by jenkins-bot:
Two permission changes at urwiki

https://gerrit.wikimedia.org/r/294652

Mentioned in SAL [2016-06-16T23:11:36Z] <ebernhardson@tin> Synchronized wmf-config/InitialiseSettings.php: T137888: Two permission changes at urwiki (duration: 00m 27s)

Luke081515 closed this task as Resolved.Jun 16 2016, 11:16 PM

Merged & deployed. I left a notice at your wiki.

Thank you very much, Luke. Hope the issue of Reviewers is also resolved soon.